<?php
/*
 * Plugin Name: Omega Legacy
 * Plugin URI: http://themehall.com/
 * Description: Omega shortcodes from Omega theme prior Omega 1.1
 * Version: 1.0
 * Author: ThemeHall
 * Author URI: http://themehall.com/about
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

register_activation_hook( __FILE__, 'ol_activation_check' );

/**
 * Checks for minimum Omega Theme version before allowing plugin to activate
 *
 * @author Nathan Rice
 * @uses gfi_truncate()
 * @since 0.1
 * @version 0.2
 */
function ol_activation_check() {

    $latest = '1.1.0';

    $theme_info = get_theme_data( TEMPLATEPATH . '/style.css' );

    if ( basename( TEMPLATEPATH ) != 'omega' ) {
        deactivate_plugins( plugin_basename( __FILE__ ) ); // Deactivate ourself
        wp_die( sprintf( __( 'Sorry, you can\'t activate Omega Layout plugin unless you have installed and actived %1$sOmega%2$s or Omega Child Theme', 'omega-legacy' ), '<a href="http://themehall.com/omega">', '</a>' ) );
    }

    $version = $theme_info['Version'];

    if ( version_compare( $version, $latest, '<' ) ) {
        deactivate_plugins( plugin_basename( __FILE__ ) ); // Deactivate ourself
        wp_die( sprintf( __( 'Sorry, you can\'t activate Omega Layout plugin without %1$sOmega %2$s%3$s or greater', 'omega-legacy' ), '<a href="http://themehall.com/omega">', $latest, '</a>' ) );
    }
}


define( 'OL_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );

require_once( OL_PLUGIN_PATH.'shortcodes.php');
require_once( OL_PLUGIN_PATH.'theme-layouts.php');